it.csi.mddtools.guigen

## Interface PlainText

- All Superinterfaces:
    DataWidget, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Widget

      public interface PlainText
      extends DataWidget

  A representation of the model object 'Plain Text'. Permette la visualizzazione di testo, fisso o proveniente da application data, senza possibilità di editing.

  The following features are supported:

  - `Static Text`
  See Also:
    `GuigenPackage.getPlainText()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getStaticText()` Returns the value of the 'Static Text' attribute
    `void` | `setStaticText(java.lang.String value)` Sets the value of the '`Static Text`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.DataWidget

      `getDatabinding, getDataType, getDataTypeModifier, isRequired, setDatabinding, setDataType, setDataTypeModifier, setRequired`

    - ### Methods inherited from interface it.csi.mddtools.guigen.Widget

      `getEnableEnrichment, getEventHandlers, getLabel, getLayoutSpec, getName, getSecurityConstraints, getTooltip, isDefaultEnabled, isDefaultVisible, setDefaultEnabled, setDefaultVisible, setEnableEnrichment, setLabel, setLayoutSpec, setName, setTooltip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getStaticText

          java.lang.String getStaticText()

      Returns the value of the 'Static Text' attribute.

      If the meaning of the 'Static Text' attribute isn't clear, there really should be more of a description here...

      Se impostato il widget visualizzerà il testo html specificato a fianco alla label. In caso contrario, e se sarà specificato un data binding, il valore visualizzato sarà preso dall'application data referenziato.
      Returns:
        the value of the 'Static Text' attribute.
      See Also:
        `setStaticText(String)`, `GuigenPackage.getPlainText_StaticText()`

    - #### setStaticText

          void setStaticText(java.lang.String value)

      Sets the value of the '`Static Text`' attribute.
      Parameters:
        `value` - the new value of the 'Static Text' attribute.
      See Also:
        `getStaticText()`